MSTL_INIT(3)

NAME
mstl_init - Initializing and freeing MSTraceList structures

SYNOPSIS
#include <libmseed.h>

MSTrace      *mstl_init ( MSTrace *mstl );

void          mstl_free ( MSTrace **ppmstl, flag freeprvtptr );

DESCRIPTION
mstl_init will initialize a MSTraceList structure. If the mstl parameter is not NULL the structure will be cleared before being reallocated any memory allocated for associated MSTraceID and relate sub-structures will be freed.

mstl_free will free all memory associated with a MSTraceList structure and set the structure pointer (*ppmstl) to 0. If the freeprvtptr flag is true any memory pointed to by the prvtptr members of the MSTraceID or MSTraceSeg structures.

RETURN VALUES
mstl_init returns a pointer to the MSTraceList structure initialized on success or NULL on error.

SEE ALSO
mstl_addmsr(3).

AUTHOR
Chad Trabant
IRIS Data Management Center